function []=SomeImpulse(meanimpulse,lowerband,upperband,shock,variables,horizon,varlabels,shocklabels)

% Grayness of uncertainty bands
colorband=[0.65 0.65 0.65;0.459 0.456 1.000;0.071 0.110 0.553]; % Blue/Purple-ish color

ncoverprobs=size(lowerband,3);
if iscell(lowerband)
else
    ncoverprobs=0;
end
nvars=length(variables);
[Nrows,Ncols]=ConstructOptimalSubplot(nvars);

k=0;
for i=variables
    k=k+1;
    subplot(Nrows,Ncols,k)
    hold
    for v=1:ncoverprobs
        y=[upperband{i,shock,v}' fliplr(lowerband{i,shock,v}')];
        x=[[0:horizon] fliplr([0:horizon])];
        a1=patch(x,y,colorband(v,:));
        set(a1,'faceLighting','phong')
        set(a1,'facealpha',0.5)
        set(a1,'edgecolor',min([1.05*colorband(v,:)],[1 1 1]));
        set(a1,'edgealpha',0.5)
    end
    title(varlabels(i))
    plot([0:horizon],meanimpulse{i,shock},'k');
    line([0,horizon],[0 0])
    set(gca,'fontsize',8)
end

